Subject: Re: bug#52063: 28.0.60; Confusing presentation of lambda

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Nov 2021 14:48:45 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked], Stefan Monnier <[email-masked]>
> Date: Wed, 24 Nov 2021 08:35:30 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >   . The result:
> >
> >      ((closure (t) nil (setq flyspell-generic-check-word-p 'mail-mode-flyspell-verify)))
> >
> > Why are we present a simple lambda as a closure? why confuse users
> > with something tricky instead of showing the lambda-form the user
> > typed?
> 
> I'm not sure what you're suggesting here.  The key is bound to a
> closure

Which key?  I evaluated an add-hook expression.

What I want to see is my lambda, the one I put in the hook.

> (If you switch lexical-binding off in *scratch* it won't be.)

I doubt that we want to tell users to switch off lexical-binding to
see reasonably-formatted results from evaluation.